Subject: Re: Please give me a call
From: "Michael B" <[email-masked]>
To: "David R. Brake" <[email-masked]>
Date: Wed, 16 Sep 2015 13:29:14 -0400

Hello Dave.
I will be in and out of the office today.  I left you a voicemail but I will try and be available when you call back.
Thank you,
Michael B
LLPS

From: David R. Brake 
Sent: Wednesday, September 16, 2015 9:29 AM
To: Mike Bishop 
Subject: Please give me a call

 

David R. Brake

Knaggs, Harter, Brake and Schneider P.C.

7521 Westshire Dr. Ste. 100

Lansing MI 48917

Direct:  (517) 622-2411

Main:  (517) 622-0590

Fax:  (517) 622-8463

[email-masked]